Error when trying to install the 2.x branch

All about webserver configurations, PHP and databases.

Moderator: Thorsten

Thorsten
Posts: 14599
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Error when trying to install the 2.x branch

Post by Thorsten » Thu Aug 26, 2010 7:08 am

Hi,

I don't blame you at all. I want to help you. But I need more informations. I need to know which PHP extensions you have installed to reproduce your error. When I can reproduce your error, I can fix this issue for you.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

bram
Posts: 19
Joined: Mon Aug 16, 2010 12:54 pm

Re: Error when trying to install the 2.x branch

Post by bram » Thu Aug 26, 2010 7:56 am

GµårÐïåñ wrote:Once again you are wrong and continue to make all the wrong assumptions. As you can see here, the version of my PHP is a very recently updated 8/2010 install of version of 5.
Can you try to go to /install/setup.php? Does it show an error? (What error?)

Also: what is the name of the file you used to get the phpinfo? and were was it located?
It is important that you create the file with the .php extension (note: .php and not .php5) and place it in the same directory as phpMyFaq.

(What could be happening is that your webserver has both php4 and php5 loaded and has aliased .php with php4)

Thorsten
Posts: 14599
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Error when trying to install the 2.x branch

Post by Thorsten » Thu Aug 26, 2010 7:58 am

Hi,
bram wrote:Can you try to go to /install/setup.php? Does it show an error? (What error?)
he got this error on install/setup.php:

Code: Select all

Fatal error: Call to undefined function: date_default_timezone_set() in /xxx/htdocs/dev/myfaq/config/constants.php on line 387
This indicates, he has no DateTime support or PHP4 running.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

bram
Posts: 19
Joined: Mon Aug 16, 2010 12:54 pm

Re: Error when trying to install the 2.x branch

Post by bram » Thu Aug 26, 2010 8:00 am

bram wrote:
GµårÐïåñ wrote:Once again you are wrong and continue to make all the wrong assumptions. As you can see here, the version of my PHP is a very recently updated 8/2010 install of version of 5.
Can you try to go to /install/setup.php? Does it show an error? (What error?)

Also: what is the name of the file you used to get the phpinfo? and were was it located?
It is important that you create the file with the .php extension (note: .php and not .php5) and place it in the same directory as phpMyFaq.

(What could be happening is that your webserver has both php4 and php5 loaded and has aliased .php with php4)

Replying to my own post after rereading the thread.. I see that question has already been asked.
Can you modify config/constants.php and comment line 387?
That is:
Change

Code: Select all

//
// Set the default timezone used by all date/time functions
//
date_default_timezone_set(PMF_DATETIME_TIMEZONE_DEFAULT);
into:

Code: Select all

//
// Set the default timezone used by all date/time functions
//
// date_default_timezone_set(PMF_DATETIME_TIMEZONE_DEFAULT);

And revisit install/setup.php?

GµårÐïåñ
Posts: 16
Joined: Sun Apr 04, 2010 7:53 am
Location: Area 51.2

Re: Error when trying to install the 2.x branch

Post by GµårÐïåñ » Fri Aug 27, 2010 7:35 am

~.:[ Lï£ê ï§ å Lêmðñ åñÐ Ì Wåñ† M¥ Mðñê¥ ßå¢k ]:.~
[ Visit the Major's Blog ]

Thorsten
Posts: 14599
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Error when trying to install the 2.x branch

Post by Thorsten » Fri Aug 27, 2010 7:38 am

Hi,
2 people want to help you. Please tell me what you want to say with this post?

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

GµårÐïåñ
Posts: 16
Joined: Sun Apr 04, 2010 7:53 am
Location: Area 51.2

Re: Error when trying to install the 2.x branch

Post by GµårÐïåñ » Fri Aug 27, 2010 6:04 pm

bram wrote:Can you try to go to /install/setup.php? Does it show an error? (What error?)
This is what the post was referring to, the question was asked and answered already. It seems you noticed that, I was simply referring to the answer, it was easier than repeating myself.
Also: what is the name of the file you used to get the phpinfo? and were was it located?
It is important that you create the file with the .php extension (note: .php and not .php5) and place it in the same directory as phpMyFaq.

(What could be happening is that your webserver has both php4 and php5 loaded and has aliased .php with php4)
If you must know, I have setup a quick access to it here, http://x.myguardian.net/php_info.php, although I don't feel comfortable having my server information just laying out here for all to see.
Replying to my own post after rereading the thread.. I see that question has already been asked.
Can you modify config/constants.php and comment line 387?
As you can see in my original post, when it failed I tried to manually configure using the config file and the constants but then I got a smack down by the author who insisted I was the one causing the problem by manually editing it, completely overlooking the fact that I told him it was done AFTER the installer failed. So I went back to the original package for him to continue seeing it fail to make him happy. So no, I have not modified it again as I felt me wasting time editing the files when the author has no clue or doesn't want to help seemed counter productive.
That is:
Change

Code: Select all

//
// Set the default timezone used by all date/time functions
//
date_default_timezone_set(PMF_DATETIME_TIMEZONE_DEFAULT);
into:

Code: Select all

//
// Set the default timezone used by all date/time functions
//
// date_default_timezone_set(PMF_DATETIME_TIMEZONE_DEFAULT);

And revisit install/setup.php?
I have already deleted the new package off the server and temporarily restored the old version until I can find another solution. So I don't have it right now to play with but I will try to find some time tonight to put it back and do the edits you suggested and see what happens.
~.:[ Lï£ê ï§ å Lêmðñ åñÐ Ì Wåñ† M¥ Mðñê¥ ßå¢k ]:.~
[ Visit the Major's Blog ]

GµårÐïåñ
Posts: 16
Joined: Sun Apr 04, 2010 7:53 am
Location: Area 51.2

Re: Error when trying to install the 2.x branch

Post by GµårÐïåñ » Fri Aug 27, 2010 6:06 pm

Thorsten wrote:Hi,
2 people want to help you. Please tell me what you want to say with this post?

bye
Thorsten
At the time I posted this reply he asked me something that was already asked and answered and I didn't feel like going in circles and repeating myself, so I referred him to the post to get his answer. Since then it seems he has seen that already. that's what I meant with the post.
~.:[ Lï£ê ï§ å Lêmðñ åñÐ Ì Wåñ† M¥ Mðñê¥ ßå¢k ]:.~
[ Visit the Major's Blog ]

Thorsten
Posts: 14599
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Error when trying to install the 2.x branch

Post by Thorsten » Sat Aug 28, 2010 8:26 am

Hi,

I analyzed you phpinfo() information page, thanks for that.

That's all okay with that, I was wondering about 2 things:

1. Your PHP was compiled with --program-suffix=5, which means, you probably having more than one PHP version supported in your webhosting account

2. Looking at http://x.myguardian.net I see commercials for 1&1. Do you use 1&1? It's a big german webhoster and I know them well. They still install PHP4 and PHP5. Do you have any option at 1&1 to completly deactivate PHP4 support?

I will also work on the installer and update adding more checks so that phpMyFAQ will produce more and better error messages.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

GµårÐïåñ
Posts: 16
Joined: Sun Apr 04, 2010 7:53 am
Location: Area 51.2

Re: Error when trying to install the 2.x branch

Post by GµårÐïåñ » Sat Aug 28, 2010 7:54 pm

Yes, we have PHP4, 5, 6 on the server and the default is 4 until third quarter of this year when 5 will become default. But using .htaccess you can choose whichever you want. Yes 1&1 is my host and has been for over 10 years. Good luck with the installer and I look forward to it.
~.:[ Lï£ê ï§ å Lêmðñ åñÐ Ì Wåñ† M¥ Mðñê¥ ßå¢k ]:.~
[ Visit the Major's Blog ]

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests